package scenes
{
	import jp.progression.commands.display.AddChildAt;
	import jp.progression.commands.display.RemoveChild;
	import jp.progression.scenes.SceneObject;
	
	import pages.TopPage;
	
	public class TopScene extends SceneObject
	{
		private var _page:TopPage;
		public function TopScene(name:String="top", initObject:Object=null)
		{
			super(name, initObject);
		}


		protected override function atSceneLoad():void
		{
			_page = new TopPage();
			addCommand(
				new AddChildAt(container, _page, 10)
			);
		}

		protected override function atSceneUnload():void
		{
			addCommand(
				new RemoveChild(container, _page),
				function():void{
					_page = null;
				}
			);
		}

	}
}